> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resource items.

> 
    ROLES: RESOURCE_READ,RESOURCE_WRITE,RESOURCE_ADMIN
    USER: true
    SERVICE ACCOUNT: true,
    CACHE (sec.): 10
    



## OpenAPI

````yaml post /api/v1/resources/{resourceId}/getItems
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/resources/{resourceId}/getItems:
    post:
      tags:
        - Resources
      summary: Get resource items.
      description: |2-

            ROLES: RESOURCE_READ,RESOURCE_WRITE,RESOURCE_ADMIN
            USER: true
            SERVICE ACCOUNT: true,
            CACHE (sec.): 10
            
      operationId: ResourcesController_getRequestCount
      parameters:
        - name: resourceId
          required: true
          in: path
          description: Provide resourceId.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataRequestDto'
      responses:
        '200':
          description: OK.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    DataRequestDto:
      type: object
      properties:
        startRow:
          type: number
          title: >-
            Number from which should we take the data from (could be limited by
            the server).
        endRow:
          type: number
          title: >-
            Number to which should we take the data to (could be limited by the
            server).
        rowGroupCols:
          title: You must provide rowGroupColumns even empty one [].
          type: array
          items:
            $ref: '#/components/schemas/ColumnRequestDto'
        valueCols:
          title: You must provide valueCols even empty one [].
          type: array
          items:
            $ref: '#/components/schemas/ColumnRequestDto'
        pivotCols:
          title: You must provide pivotCols even empty one [].
          type: array
          items:
            $ref: '#/components/schemas/ColumnRequestDto'
        pivotMode:
          type: boolean
          title: Mark if pivotMode is enabled.
        groupKeys:
          title: You must provide pivotCols even empty one [].
          type: array
          items:
            type: string
        filterModel:
          title: FilterModel of the request even empty one [].
          type: array
          items:
            $ref: '#/components/schemas/FilterConditionRequestDto'
        sortModel:
          title: SortModel of the request even empty one [].
          type: array
          items:
            $ref: '#/components/schemas/SortModelDto'
      required:
        - startRow
        - endRow
        - rowGroupCols
        - valueCols
        - pivotCols
        - pivotMode
        - groupKeys
        - filterModel
        - sortModel
    ColumnRequestDto:
      type: object
      properties:
        id:
          type: string
          title: Id of column
        displayName:
          type: string
          title: Display name
        field:
          type: string
          title: Field name
        aggFunc:
          type: string
          title: Aggregation function [AVG,COUNT,MIN,MAX,SUM] etc.
        customAggFunc:
          type: object
          title: Custom customAggFunc.
      required:
        - id
        - displayName
        - field
    FilterConditionRequestDto:
      type: object
      properties:
        filterType:
          type: string
          title: Filter type, must be one of [number,text,date,boolean]
        key:
          title: Key
          allOf:
            - $ref: '#/components/schemas/FilterConditionRequestDto'
        type:
          type: string
          title: Filter type (must be filled in case where operator is empty).
          description: |-
            Filter types must be one of:
                    Text - equals,notEquals,isNull,isNotNull,in,notIn,contains,notContains,startsWith,endsWith,like,notLike
                    Number - equals,notEquals,greaterThan,greaterThanOrEqual,lessThan,lessThanOrEqual,isNull,isNotNull,in,notIn
                    Date - equals,notEquals,greaterThan,greaterThanOrEqual,lessThan,lessThanOrEqual,isNull,isNotNull,in,notIn
        filter:
          type: object
          title: Filter value.
          description: You must specify correct value based on filter type.
        filterTo:
          type: object
          title: >-
            You can specify correct value based on filter type for "between"
            condition.
        operator:
          type: string
          title: >-
            In case of 2 conditions for single item, you must specify OR/AND
            parameter.
        condition1:
          title: Condition object 1.
          allOf:
            - $ref: '#/components/schemas/FilterConditionRequestDto'
        condition2:
          title: Condition object 2.
          allOf:
            - $ref: '#/components/schemas/FilterConditionRequestDto'
      required:
        - filterType
    SortModelDto:
      type: object
      properties:
        colId:
          type: string
          title: ColumnId
        sort:
          type: string
          title: Sorting option must be one of [ASC,DESC,asc,desc]
      required:
        - sort
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````